Subject: Why do we need to wait 1s between a git add and commit

From: Fabrice SALVAIRE <[email-masked]>
Date: Fri, 22 May 2026 14:28:44 +0200

Dear all,

I wrote a Python tool to dump a wiki to a git repository, that does 
basically a succession of subprocess calls to git add and commit.

Recently, I discovered this tool doesn't work any longer and that git 
commit (2.54 on Fedora 42 / 43) crashes randomly.

I cannot explain this behavior since my code is trivial.

I had the intuition to add a sleep time of 1s just after a git call, and 
it solves the issue.

I noticed for some cases that another call to git commit were 
successful. For most cases, git fsck and gitk report issues.

It looks like the state of the git repository was not yet completed 
before the end of the git subprocess.

Cheers,